Debian Bug report logs - #227857
libdbd-mysql-perl says mysql has gone away

version graph

Package: libdbd-mysql-perl; Maintainer for libdbd-mysql-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdbd-mysql-perl is src:libdbd-mysql-perl.

Reported by: Atanas Prejdarov <prejdarov@rightnet.net>

Date: Thu, 15 Jan 2004 10:18:01 UTC

Severity: normal

Found in versions 2.9003-1, 2.9003-2

Fixed in version libdbd-mysql-perl/2.9006-1

Done: Raphael Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Raphael Hertzog <hertzog@debian.org>:
Bug#227857; Package libdbd-mysql-perl. Full text and rfc822 format available.

Acknowledgement sent to Atanas Prejdarov <prejdarov@rightnet.net>:
New Bug report received and forwarded. Copy sent to Raphael Hertzog <hertzog@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Atanas Prejdarov <prejdarov@rightnet.net>
To: submit@bugs.debian.org
Subject: libdbd-mysql-perl says mysql has gone away
Date: Thu, 15 Jan 2004 12:03:14 +0200
Package: libdbd-mysql-perl
Version: 2.9003-1

I have some perl progs that help me manage our customer data ... since 
mid december some of that scripts stopped to work. The source is the 
same no changes and what is even more strange .... these progs seems to 
work when started from apache but from command line ... there is a 
problem


here is what i get when i run simple adduser script from the shell:

palpatine:/var/www/stats/perl# perl adduser.pl
Content-Type: text/html; charset=ISO-8859-1

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; 
charset=windows-1251">
<link href="../stats.css" rel="stylesheet" type="text/css">
</head>
DBD::mysql::st execute failed: MySQL server has gone away at 
/usr/local/lib/site_perl/Stats/DBD.pm line 122.
DBD::mysql::st execute failed: MySQL server has gone away at 
/usr/local/lib/site_perl/Stats/DBD.pm line 122.

first i thought that there is real problem with mysql server then tried 
to connect with program written in C it was ok

and here is what i get from apache:

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; 
charset=windows-1251">
<link href="../stats.css" rel="stylesheet" type="text/css">
</head>
<body bgcolor=#FFFFFF color=#000000>
<form name=login method=post action=>
<div align=center>
<table border=0 width=182>
<tr><td colspan=4 align=center><h2>Add User</h2></td></tr>
<tr><td colspan=2 align=left><h3>User Info</h3></td><td colspan=2 
align=center></td></tr>
<tr><td colspan=2 align=left><strong>username:<br></strong><input 
type=text size=24 name=username></td>
<td colspan=2 align=left><strong>MAC:<br></strong><input type=text 
size=24 name=MAC></td></tr>

<tr><td align=left><strong>inet:<br></strong>
<input type=text size=12 name=inet></td>
<td  align=left><strong>peer:<br></strong>
<input type=text size=12 name=bg></td>
<td colspan=2 align=left><strong>gateway:<br></strong>
<select name=gateway size=1>
<option>watto</option>
<option>stargate</option>
</select></td></tr>
<tr><td colspan=4 align=right><input type=submit name=Adduser 
value=Next></td></tr>
</table>
</div>
</form>
</body>


I'm not that good perl programmer and maybe the problem is all mine but 
... I think that this is dbd-mysql issue ... sorry if thought wrong and 
waste your time


BR
Atanas Prejdarov




Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Hertzog <hertzog@debian.org>:
Bug#227857; Package libdbd-mysql-perl. Full text and rfc822 format available.

Acknowledgement sent to 227857@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Raphael Hertzog <hertzog@debian.org>. Full text and rfc822 format available.

Message #10 received at 227857@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Atanas Prejdarov <prejdarov@rightnet.net>, 227857@bugs.debian.org
Subject: Re: Bug#227857: libdbd-mysql-perl says mysql has gone away
Date: Fri, 16 Jan 2004 12:00:26 +0100
Le Thu, Jan 15, 2004 at 12:03:14PM +0200, Atanas Prejdarov écrivait:
> Package: libdbd-mysql-perl
> Version: 2.9003-1
> 
[...]
> DBD::mysql::st execute failed: MySQL server has gone away at 
> /usr/local/lib/site_perl/Stats/DBD.pm line 122.
> DBD::mysql::st execute failed: MySQL server has gone away at 
> /usr/local/lib/site_perl/Stats/DBD.pm line 122.

Sorry, but I can't do anything with your bug report. You should give me
your script at least. Better would be a minimal test-case that I could
use to reproduce the problem on my side.

Which version of mysql's server are you using ?

What changed mid-december ? Did you update libdbd-mysql-perl only ? Did
you upgrade to testing or unstable ?

[ BTW, if you used reportbug to report bug you would automatically send
infos helping us answer basic questions like the above ones ]

> I'm not that good perl programmer and maybe the problem is all mine but 
> ... I think that this is dbd-mysql issue ... sorry if thought wrong and 
> waste your time

Your C program using mysql is ok, but which version of the mysql library
is it using ? Could you try to use the libmysqlclient10 library (ie
compile again your C program with libmysqlclient10-dev installed
instead) and check if your C program still works correctly...

Cheers,
-- 
Raphaël Hertzog -+- http://www.ouaza.com
Formation Linux et logiciel libre : http://www.logidee.com
Earn money with free software: http://www.geniustrader.org



Information stored:
Bug#227857; Package libdbd-mysql-perl. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <rhertzog@hrnet.fr>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 227857-quiet@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <rhertzog@hrnet.fr>
To: debian-perl@lists.debian.org
Subject: Help with libdbd-mysql-perl & libdbd-pg-perl
Date: Thu, 22 Jan 2004 19:50:44 +0100
Hello everyone,

I recently received bug reports against libdbd-mysql-perl and
libdbd-pg-perl. I'm very busy and I don't have much time to investigate
properly those bug reports and thus I'd like some help.

libdbd-mysql-perl
http://bugs.debian.org/227857

I can't reproduce this one since he gaves no code showing the failure
and the submitter didn't respond to my questions.

libdbd-pg-perl
http://bugs.debian.org/228836

I don't have the time to look what's failing precisely.

If you're interested in one of those packages, I'm willing to have
co-maintainers.

Cheers,
-- 
Raphaël Hertzog -+- http://www.ouaza.com
Formation Linux et logiciel libre : http://www.logidee.com
Earn money with free software: http://www.geniustrader.org



Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Hertzog <hertzog@debian.org>:
Bug#227857; Package libdbd-mysql-perl. Full text and rfc822 format available.

Acknowledgement sent to Atanas Prejdarov <prejdarov@rightnet.net>:
Extra info received and forwarded to list. Copy sent to Raphael Hertzog <hertzog@debian.org>. Full text and rfc822 format available.

Message #20 received at 227857@bugs.debian.org (full text, mbox):

From: Atanas Prejdarov <prejdarov@rightnet.net>
To: 227857@bugs.debian.org
Subject: Re: Bug#227857: libdbd-mysql-perl says mysql has gone away
Date: Tue, 27 Jan 2004 17:56:30 +0200
[Message part 1 (text/plain, inline)]
On Jan 16, 2004, at 1:00 PM, Raphael Hertzog wrote:

> Le Thu, Jan 15, 2004 at 12:03:14PM +0200, Atanas Prejdarov écrivait:
>> Package: libdbd-mysql-perl
>> Version: 2.9003-1
>>
> [...]
>> DBD::mysql::st execute failed: MySQL server has gone away at
>> /usr/local/lib/site_perl/Stats/DBD.pm line 122.
>> DBD::mysql::st execute failed: MySQL server has gone away at
>> /usr/local/lib/site_perl/Stats/DBD.pm line 122.
>
> Sorry, but I can't do anything with your bug report. You should give me
> your script at least. Better would be a minimal test-case that I could
> use to reproduce the problem on my side.
>
here is the test attached ... DBModule must be placed in the perl 
module path (I use /usr/local/lib/site_perl ) and try to execute dbtest 
(probably You must edit DBModule and change database/user/pass/host 
data ) from bash and then try executing it as cgi-bin from apache 1rst 
fails here while when apache runs it it is ok
> Which version of mysql's server are you using ?
>
the one that is provided with SID /4.0.17-1 just updated today/

> What changed mid-december ? Did you update libdbd-mysql-perl only ? Did
> you upgrade to testing or unstable ?
it is SID always been SID just regular update I think

> [ BTW, if you used reportbug to report bug you would automatically send
> infos helping us answer basic questions like the above ones ]

have to find out how perhaps :)

>> I'm not that good perl programmer and maybe the problem is all mine 
>> but
>> ... I think that this is dbd-mysql issue ... sorry if thought wrong 
>> and
>> waste your time
>
> Your C program using mysql is ok, but which version of the mysql 
> library
> is it using ? Could you try to use the libmysqlclient10 library (ie
> compile again your C program with libmysqlclient10-dev installed
> instead) and check if your C program still works correctly...
everything is debian installed only debian the C program used 
libmysqlclient12 and mysql++ also from SID it is all SID box

BR
Naso
[test.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#227857; Package libdbd-mysql-perl. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 227857@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Atanas Prejdarov <prejdarov@rightnet.net>, 227857@bugs.debian.org
Subject: Re: Bug#227857: libdbd-mysql-perl says mysql has gone away
Date: Tue, 17 Feb 2004 23:41:04 +0100
Quoting Atanas Prejdarov:
> >Your C program using mysql is ok, but which version of the mysql 
> >library is it using ? Could you try to use the libmysqlclient10
> >library (ie compile again your C program with libmysqlclient10-dev
> >installed instead) and check if your C program still works
> >correctly...
> everything is debian installed only debian the C program used 
> libmysqlclient12 and mysql++ also from SID it is all SID box

Please try your C program with libmysqlclient10 if possible. That would
help me.

Cheers,
-- 
Raphaël Hertzog -+- http://www.ouaza.com
Formation Linux et logiciel libre : http://www.logidee.com
Earn money with free software: http://www.geniustrader.org



Information stored:
Bug#227857; Package libdbd-mysql-perl. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #30 received at 227857-quiet@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Atanas Prejdarov <prejdarov@rightnet.net>, 227857-quiet@bugs.debian.org
Subject: Re: Bug#227857: libdbd-mysql-perl says mysql has gone away
Date: Thu, 25 Mar 2004 14:10:45 +0100
Quoting Atanas Prejdarov:
> DBD::mysql::st execute failed: MySQL server has gone away at 
> /usr/local/lib/site_perl/Stats/DBD.pm line 122.
> DBD::mysql::st execute failed: MySQL server has gone away at 
> /usr/local/lib/site_perl/Stats/DBD.pm line 122.
> 
> first i thought that there is real problem with mysql server then tried 
> to connect with program written in C it was ok

I recently uploaded libdbd-mysql-perl 2.9003-2 compiled with another
version of the mysql library. Can you check if you still have the same
problem with that version ?

Cheers,
-- 
Raphaël Hertzog -+- http://www.ouaza.com
Formation Linux et logiciel libre : http://www.logidee.com
Earn money with free software: http://www.geniustrader.org



Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Hertzog <hertzog@debian.org>:
Bug#227857; Package libdbd-mysql-perl. Full text and rfc822 format available.

Acknowledgement sent to Jörn Reder <joern@zyn.de>:
Extra info received and forwarded to list. Copy sent to Raphael Hertzog <hertzog@debian.org>. Full text and rfc822 format available.

Message #35 received at 227857@bugs.debian.org (full text, mbox):

From: Jörn Reder <joern@zyn.de>
To: 227857@bugs.debian.org
Subject: Also suffering from "mysql has gone away" problem
Date: Sat, 10 Apr 2004 23:24:53 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160


Hi,

I have a very simple test case, which reproduces a "mysql has gone away"
error on my system, using the following mysql related packages on Debian
sid:

  libdbd-mysql-perl 2.9003-2
  libmysqlclient12  4.0.18-2
  mysql-client      4.0.18-5
  mysql-common      4.0.18-5
  mysql-server      4.0.18-5

I switched the "mysql_auto_reconnect" attribute on. One reconnect 
succeeds, but the second fails. The program simply executes a SQL 
statement and prompts for a mysql restart. Then it executes a statement
again and prompts again for a restart. The next statement fails.

  #!/usr/bin/perl

  use strict;
  use DBI;

  main: {
	  my $dbh = DBI->connect (
		  "dbi:mysql:test",
		  "","",
		  { RaiseError => 1,
		    PrintError => 0,
		    mysql_auto_reconnect => 1 });

	  $dbh->do("show tables");
	  print "first command succeeded\n";

	  print "restart mysql and press enter!\n";
	  <STDIN>;

	  $dbh->do("show tables");
	  print "second command succeeded\n";

	  print "restart mysql and press enter!\n";
	  <STDIN>;

	  print "third command fails on my system... :(\n";
	  $dbh->do("show tables");

	  $dbh->disconnect;

  }

Hope this helps.

Regards,

Joern
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAeGYl2hNi0Chc9HMRA5gvAJ9BHESFs2eyg8u8jPuFvUP1TEjEMACaA5BC
P0Mw7WEidbvm6JxOh6MZw34=
=zDjk
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Raphael Hertzog <hertzog@debian.org>:
Bug#227857; Package libdbd-mysql-perl. Full text and rfc822 format available.

Acknowledgement sent to Scott Barker <Scott_Barker@mtechIT.com>:
Extra info received and forwarded to list. Copy sent to Raphael Hertzog <hertzog@debian.org>. Full text and rfc822 format available.

Message #40 received at 227857@bugs.debian.org (full text, mbox):

From: Scott Barker <Scott_Barker@mtechIT.com>
To: Debian Bug Tracking System <227857@bugs.debian.org>
Subject: libdbd-mysql-perl: short-term fix for DBD::mysql auto-reconnect failure
Date: Fri, 20 Aug 2004 11:24:27 -0600
Package: libdbd-mysql-perl
Version: 2.9003-2
Followup-For: Bug #227857

The following patch returns the previous behaviour of DBD::mysql, such
that the C library auto-reconnect is used instead of the buggy
DBD::mysql auto-reconnect. If the C library auto-reconnect fails, the
DBD::mysql auto-reconnect will still be attempted.

diff -urbB libdbd-mysql-perl-2.9003/dbdimp.c libdbd-mysql-perl-2.9003.new/dbdimp.c
--- libdbd-mysql-perl-2.9003/dbdimp.c	Fri Oct 17 11:20:50 2003
+++ libdbd-mysql-perl-2.9003.new/dbdimp.c	Fri Aug 20 11:01:22 2004
@@ -965,7 +965,7 @@
     /* we turn off Mysql's auto reconnect and handle re-connecting ourselves
      * so that we can keep track of when this happens.
      */
-    sock->reconnect=0;
+/*    sock->reconnect=0; */
     return result;
   }
 }

-- System Information:
Debian Release: 3.0
  APT prefers testing
  APT policy: (100, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.20
Locale: LANG=C, LC_CTYPE=C

Versions of packages libdbd-mysql-perl depends on:
ii  libc6                   2.3.2.ds1-13     GNU C Library: Shared libraries an
ii  libdbi-perl             1.41-1           The Perl5 Database Interface by Ti
ii  libmysqlclient12        4.0.18-5         mysql database client library
ii  libssl0.9.6             0.9.6c-2.woody.6 SSL shared libraries
ii  perl                    5.8.4-2          Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.8. 5.8.4-2          The Pathologically Eclectic Rubbis
ii  zlib1g                  1:1.2.1.1-5      compression library - runtime

-- no debconf information



Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Atanas Prejdarov <prejdarov@rightnet.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 227857-close@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 227857-close@bugs.debian.org
Subject: Bug#227857: fixed in libdbd-mysql-perl 2.9006-1
Date: Fri, 15 Apr 2005 05:17:16 -0400
Source: libdbd-mysql-perl
Source-Version: 2.9006-1

We believe that the bug you reported is fixed in the latest version of
libdbd-mysql-perl, which is due to be installed in the Debian FTP archive:

libdbd-mysql-perl_2.9006-1.diff.gz
  to pool/main/libd/libdbd-mysql-perl/libdbd-mysql-perl_2.9006-1.diff.gz
libdbd-mysql-perl_2.9006-1.dsc
  to pool/main/libd/libdbd-mysql-perl/libdbd-mysql-perl_2.9006-1.dsc
libdbd-mysql-perl_2.9006-1_i386.deb
  to pool/main/libd/libdbd-mysql-perl/libdbd-mysql-perl_2.9006-1_i386.deb
libdbd-mysql-perl_2.9006.orig.tar.gz
  to pool/main/libd/libdbd-mysql-perl/libdbd-mysql-perl_2.9006.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 227857@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphael Hertzog <hertzog@debian.org> (supplier of updated libdbd-mysql-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Apr 2005 10:56:34 +0200
Source: libdbd-mysql-perl
Binary: libdbd-mysql-perl
Architecture: source i386
Version: 2.9006-1
Distribution: unstable
Urgency: medium
Maintainer: Raphael Hertzog <hertzog@debian.org>
Changed-By: Raphael Hertzog <hertzog@debian.org>
Description: 
 libdbd-mysql-perl - A Perl5 database interface to the MySQL database
Closes: 227857 293740
Changes: 
 libdbd-mysql-perl (2.9006-1) unstable; urgency=medium
 .
   * New upstream version. Closes: #293740
   * This version has the fix for the mysql_auto_reconnect problem working only
     once. Closes: #227857
Files: 
 7ee76f40db8e44638cc50d48b50eda10 680 perl optional libdbd-mysql-perl_2.9006-1.dsc
 3ed8ba4751dddfc016945cd20e571b73 116639 perl optional libdbd-mysql-perl_2.9006.orig.tar.gz
 fe6a53e9d0829d425fcfa0c0124e6806 5050 perl optional libdbd-mysql-perl_2.9006-1.diff.gz
 4305625193f73540ddeaf0700786f1c0 132374 perl optional libdbd-mysql-perl_2.9006-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCX4MnvPbGD26BadIRAhaWAJ9hjFtiYkVhaxsgKOHWmaxItIj0fQCeJ/D+
Pwdpt9VhNW02GvIkossA2bM=
=OSNW
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:23:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.